[Google Login Plugin] Using Google Login Cordova Plugin greater than v5.0.3

Forge Component
(6)
Published on 2017-07-06 by Labs
6 votes
Published on 2017-07-06 by Labs

Hi all,


In the configuration guide https://www.outsystems.com/forums/discussion/25867/how-to-configure-the-google-plus-login-plugin-for-android/, it states that the extensibility configurations should be done as such.

"
{
    "plugin":
        {
            "url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"
        }
}
"

I looked up version 5.0.3 on the github page and it is pretty old.

I have tried changing the extensibility configuration from: 

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"

to

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#6.0.0"

which is a version released in 2018. However it does not work.


Has anyone else had luck upgrading? I'm upgrading because the ForceApprovalPrompt Flag in the GoogleLogin Client action does not actually force approval in version 5.0.3 of the cordova plugin.


Thanks for your help.


Best,


Barnett

Hi,

Why you are using the Google+ API.

The Google+ API used in https://www.outsystems.com/learn/lesson/1839/integrating-with-oauth-exercise/?LearningPathId=0  the api documentation https://developers.google.com/+/web/api/rest/?hl=en_US states 

Google+ APIs will be shut down on March 7, 2019. This includes Google+ Sign-in and OAuth token requests with Google+ scopes. Learn more.

Google+ integrations for web and mobile apps will also cease to function March 7, 2019. Learn more.

This will be a progressive shutdown, with intermittent failures starting as early as January 28, 2019.

This implies that it will no longer be possible to complete the excercise after this date. 

Ref: https://www.outsystems.com/forums/discussion/45569/google-api-will-be-shut-down-on-march-7-2019/


Thanks,

Assif

Hi Assif,

Referring to the Cordova plugin this is based on, this component is not affected by the shutdown: https://github.com/EddyVerbruggen/cordova-plugin-googleplus/issues/555


Best,


Barnett




assif_tiger wrote:

Hi,

Why you are using the Google+ API.


The Google+ API used in https://www.outsystems.com/learn/lesson/1839/integrating-with-oauth-exercise/?LearningPathId=0  the api documentation https://developers.google.com/+/web/api/rest/?hl=en_US states 

Google+ APIs will be shut down on March 7, 2019. This includes Google+ Sign-in and OAuth token requests with Google+ scopes. Learn more.

Google+ integrations for web and mobile apps will also cease to function March 7, 2019. Learn more.

This will be a progressive shutdown, with intermittent failures starting as early as January 28, 2019.

This implies that it will no longer be possible to complete the excercise after this date. 


Ref: https://www.outsystems.com/forums/discussion/45569/google-api-will-be-shut-down-on-march-7-2019/


Thanks,

Assif



Barnett Lee wrote:

Hi all,


In the configuration guide https://www.outsystems.com/forums/discussion/25867/how-to-configure-the-google-plus-login-plugin-for-android/, it states that the extensibility configurations should be done as such.

"
{
    "plugin":
        {
            "url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"
        }
}
"

I looked up version 5.0.3 on the github page and it is pretty old.

I have tried changing the extensibility configuration from: 

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"

to

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#6.0.0"

which is a version released in 2018. However it does not work.


Has anyone else had luck upgrading? I'm upgrading because the ForceApprovalPrompt Flag in the GoogleLogin Client action does not actually force approval in version 5.0.3 of the cordova plugin.


Thanks for your help.


Best,


Barnett


Hi Barnett,

You have done the right thing i hopes but if it is not working you can do it in another way.

1: Download the .zip file of version you want. 

2: Import it in resource.

3: Change your extensibility configuration like below:

{
    "resource": "cordova-plugin-googleplus-6.0.0.zip",
    "plugin": {
        "resource": "cordova-plugin-googleplus-6.0.0"
    }
}

Resource Screenshot:

Hopes that will work for you.

Regards,

Hey there,

I gave that a shot for v6.0.0 and v5.3.2 but it didn't work. I downgraded to v5.0.2 which worked. 


I don't quite get it because the API doesn't seem to have breaking changes.

Best,

Ba



Mohammad Hasib wrote:

Barnett Lee wrote:

Hi all,


In the configuration guide https://www.outsystems.com/forums/discussion/25867/how-to-configure-the-google-plus-login-plugin-for-android/, it states that the extensibility configurations should be done as such.

"
{
    "plugin":
        {
            "url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"
        }
}
"

I looked up version 5.0.3 on the github page and it is pretty old.

I have tried changing the extensibility configuration from: 

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#5.0.3"

to

"url": "https://github.com/EddyVerbruggen/cordova-plugin-googleplus#6.0.0"

which is a version released in 2018. However it does not work.


Has anyone else had luck upgrading? I'm upgrading because the ForceApprovalPrompt Flag in the GoogleLogin Client action does not actually force approval in version 5.0.3 of the cordova plugin.


Thanks for your help.


Best,


Barnett


Hi Barnett,

You have done the right thing i hopes but if it is not working you can do it in another way.

1: Download the .zip file of version you want. 

2: Import it in resource.

3: Change your extensibility configuration like below:

{
    "resource": "cordova-plugin-googleplus-6.0.0.zip",
    "plugin": {
        "resource": "cordova-plugin-googleplus-6.0.0"
    }
}

Resource Screenshot:

Hopes that will work for you.

Regards,